# Uses of Class
jspecview.common.Annotation

Packages that use Annotation
Package
Description
jspecview.common
jspecview.dialog

## Uses of Annotation in jspecview.common

Subclasses of Annotation in jspecview.common
Modifier and Type
Class
Description
`class`
`ColoredAnnotation`
ColoredAnnotation is a label on the spectrum; not an integralRegion
`class`
`Integral`
`class`
`Measurement`
The `Measurement` class stores an annotation that is a measurement
Methods in jspecview.common that return Annotation
Modifier and Type
Method
Description
`static Annotation`
Annotation.`getColoredAnnotation(GenericGraphics g2d, Spectrum spec, Lst<String> args, Annotation lastAnnotation)`
`protected Annotation`
Annotation.`setA(double x, double y, Spectrum spec, String text, boolean isPixels, boolean is2D, int offsetX, int offsetY)`
Methods in jspecview.common that return types with arguments of type Annotation
Modifier and Type
Method
Description
`static Lst<Annotation>`
IntegralData.`getIntegrationRatiosFromString(Spectrum spec, String key_values)`
Parses x-coordinates and values from a string and returns them as `IntegrationRatio` objects
Methods in jspecview.common with parameters of type Annotation
Modifier and Type
Method
Description
`static Annotation`
Annotation.`getColoredAnnotation(GenericGraphics g2d, Spectrum spec, Lst<String> args, Annotation lastAnnotation)`

## Uses of Annotation in jspecview.dialog

Subclasses of Annotation in jspecview.dialog
Modifier and Type
Class
Description
`class`
`IntegrationDialog`
Dialog for managing the integral listing for a Spectrum within a GraphSet
`class`
`JSVDialog`
`class`
`MeasurementsDialog`
Dialog for managing the measurement list for a Spectrum within a GraphSet
`class`
`OverlayLegendDialog`
Dialog for showing the legend or key for overlaid plots in a `JSVPanel`.
`class`
`PeakListDialog`
Dialog for managing the peak listing for a Spectrum within a GraphSet
`class`
`ViewsDialog`
Dialog for managing overlaying spectra and closing files